Index: uspace/srv/net/tcp/service.c
===================================================================
--- uspace/srv/net/tcp/service.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/tcp/service.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -724,10 +724,10 @@
  * Handle client request to create callback session.
  *
- * @param client  TCP client
- * @param iid     Async request ID
- * @param icall   Async request data
- */
-static void tcp_callback_create_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle
+ * @param icall         Async request data
+ */
+static void tcp_callback_create_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_callback_create_srv()");
@@ -735,10 +735,10 @@
 	async_sess_t *sess = async_callback_receive(EXCHANGE_SERIALIZE);
 	if (sess == NULL) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
 
 	client->sess = sess;
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -747,12 +747,12 @@
  * Handle client request to create connection.
  *
- * @param client   TCP client
- * @param iid      Async request ID
- * @param icall    Async request data
- */
-static void tcp_conn_create_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle
+ * @param icall         Async request data
+ */
+static void tcp_conn_create_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	inet_ep2_t epp;
@@ -762,20 +762,20 @@
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_create_srv()");
 
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_ep2_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, &epp, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, &epp, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -783,9 +783,9 @@
 	rc = tcp_conn_create_impl(client, &epp, &conn_id);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_1(iid, EOK, conn_id);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_1(icall_handle, EOK, conn_id);
 }
 
@@ -794,10 +794,10 @@
  * Handle client request to destroy connection.
  *
- * @param client   TCP client
- * @param iid      Async request ID
- * @param icall    Async request data
- */
-static void tcp_conn_destroy_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle 
+ * @param icall         Async request data
+ */
+static void tcp_conn_destroy_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	sysarg_t conn_id;
@@ -808,5 +808,5 @@
 	conn_id = IPC_GET_ARG1(*icall);
 	rc = tcp_conn_destroy_impl(client, conn_id);
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
@@ -815,12 +815,12 @@
  * Handle client request to create listener.
  *
- * @param client   TCP client
- * @param iid      Async request ID
- * @param icall    Async request data
- */
-static void tcp_listener_create_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle 
+ * @param icall         Async request data
+ */
+static void tcp_listener_create_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	inet_ep_t ep;
@@ -830,20 +830,20 @@
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_listener_create_srv()");
 
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_ep_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, &ep, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, &ep, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -851,9 +851,9 @@
 	rc = tcp_listener_create_impl(client, &ep, &lst_id);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_1(iid, EOK, lst_id);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_1(icall_handle, EOK, lst_id);
 }
 
@@ -862,10 +862,10 @@
  * Handle client request to destroy listener.
  *
- * @param client   TCP client
- * @param iid      Async request ID
- * @param icall    Async request data
- */
-static void tcp_listener_destroy_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle
+ * @param icall         Async request data
+ */
+static void tcp_listener_destroy_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	sysarg_t lst_id;
@@ -876,5 +876,5 @@
 	lst_id = IPC_GET_ARG1(*icall);
 	rc = tcp_listener_destroy_impl(client, lst_id);
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
@@ -883,10 +883,10 @@
  * Handle client request to send FIN.
  *
- * @param client   TCP client
- * @param iid      Async request ID
- * @param icall    Async request data
- */
-static void tcp_conn_send_fin_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle 
+ * @param icall         Async request data
+ */
+static void tcp_conn_send_fin_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	sysarg_t conn_id;
@@ -897,5 +897,5 @@
 	conn_id = IPC_GET_ARG1(*icall);
 	rc = tcp_conn_send_fin_impl(client, conn_id);
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
@@ -904,10 +904,10 @@
  * Handle client request to push connection.
  *
- * @param client   TCP client
- * @param iid      Async request ID
- * @param icall    Async request data
- */
-static void tcp_conn_push_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle
+ * @param icall         Async request data
+ */
+static void tcp_conn_push_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	sysarg_t conn_id;
@@ -918,5 +918,5 @@
 	conn_id = IPC_GET_ARG1(*icall);
 	rc = tcp_conn_push_impl(client, conn_id);
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
@@ -925,10 +925,10 @@
  * Handle client request to reset connection.
  *
- * @param client   TCP client
- * @param iid      Async request ID
- * @param icall    Async request data
- */
-static void tcp_conn_reset_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle
+ * @param icall         Async request data
+ */
+static void tcp_conn_reset_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	sysarg_t conn_id;
@@ -939,5 +939,5 @@
 	conn_id = IPC_GET_ARG1(*icall);
 	rc = tcp_conn_reset_impl(client, conn_id);
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
@@ -946,12 +946,12 @@
  * Handle client request to send data via connection.
  *
- * @param client   TCP client
- * @param iid      Async request ID
- * @param icall    Async request data
- */
-static void tcp_conn_send_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle
+ * @param icall         Async request data
+ */
+static void tcp_conn_send_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	sysarg_t conn_id;
@@ -963,13 +963,13 @@
 	/* Receive message data */
 
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size > MAX_MSG_SIZE) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -977,13 +977,13 @@
 	data = malloc(size);
 	if (data == NULL) {
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, data, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, data, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		free(data);
 		return;
@@ -994,10 +994,10 @@
 	rc = tcp_conn_send_impl(client, conn_id, data, size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		free(data);
 		return;
 	}
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 	free(data);
 }
@@ -1007,12 +1007,12 @@
  * Handle client request to read received data via connection without blocking.
  *
- * @param client   TCP client
- * @param iid      Async request ID
- * @param icall    Async request data
- */
-static void tcp_conn_recv_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle
+ * @param icall         Async request data
+ */
+static void tcp_conn_recv_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	sysarg_t conn_id;
 	size_t size, rsize;
@@ -1024,7 +1024,7 @@
 	conn_id = IPC_GET_ARG1(*icall);
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -1033,6 +1033,6 @@
 	data = malloc(size);
 	if (data == NULL) {
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -1040,18 +1040,18 @@
 	rc = tcp_conn_recv_impl(client, conn_id, data, size, &rsize);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		free(data);
 		return;
 	}
 
-	rc = async_data_read_finalize(callid, data, size);
-	if (rc != EOK) {
-		async_answer_0(iid, rc);
+	rc = async_data_read_finalize(chandle, data, size);
+	if (rc != EOK) {
+		async_answer_0(icall_handle, rc);
 		free(data);
 		return;
 	}
 
-	async_answer_1(iid, EOK, rsize);
+	async_answer_1(icall_handle, EOK, rsize);
 	free(data);
 
@@ -1063,12 +1063,12 @@
  * Handle client request to read received data via connection with blocking.
  *
- * @param client   TCP client
- * @param iid      Async request ID
- * @param icall    Async request data
- */
-static void tcp_conn_recv_wait_srv(tcp_client_t *client, cap_call_handle_t iid,
-    ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+ * @param client        TCP client
+ * @param icall_handle  Async request call handle
+ * @param icall         Async request data
+ */
+static void tcp_conn_recv_wait_srv(tcp_client_t *client,
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	sysarg_t conn_id;
 	size_t size, rsize;
@@ -1080,8 +1080,8 @@
 	conn_id = IPC_GET_ARG1(*icall);
 
-	if (!async_data_read_receive(&callid, &size)) {
+	if (!async_data_read_receive(&chandle, &size)) {
 		log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_wait_srv - data_receive failed");
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -1091,6 +1091,6 @@
 	if (data == NULL) {
 		log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_wait_srv - allocation failed");
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -1099,14 +1099,14 @@
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_wait_srv - recv_impl failed rc=%s", str_error_name(rc));
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		free(data);
 		return;
 	}
 
-	rc = async_data_read_finalize(callid, data, size);
+	rc = async_data_read_finalize(chandle, data, size);
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_wait_srv - finalize failed");
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		free(data);
 		return;
@@ -1114,5 +1114,5 @@
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_wait_srv(): rsize=%zu", size);
-	async_answer_1(iid, EOK, rsize);
+	async_answer_1(icall_handle, EOK, rsize);
 	free(data);
 
@@ -1168,14 +1168,15 @@
 /** Handle TCP client connection.
  *
- * @param iid   Connect call ID
- * @param icall Connect call data
- * @param arg   Connection argument
- */
-static void tcp_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+ * @param icall_handle  Connect call handle
+ * @param icall         Connect call data
+ * @param arg           Connection argument
+ */
+static void tcp_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall,
+    void *arg)
 {
 	tcp_client_t client;
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_client_conn() - client=%p",
@@ -1187,5 +1188,5 @@
 		log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_client_conn: wait req");
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
@@ -1194,5 +1195,5 @@
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		}
@@ -1200,38 +1201,38 @@
 		switch (method) {
 		case TCP_CALLBACK_CREATE:
-			tcp_callback_create_srv(&client, callid, &call);
+			tcp_callback_create_srv(&client, chandle, &call);
 			break;
 		case TCP_CONN_CREATE:
-			tcp_conn_create_srv(&client, callid, &call);
+			tcp_conn_create_srv(&client, chandle, &call);
 			break;
 		case TCP_CONN_DESTROY:
-			tcp_conn_destroy_srv(&client, callid, &call);
+			tcp_conn_destroy_srv(&client, chandle, &call);
 			break;
 		case TCP_LISTENER_CREATE:
-			tcp_listener_create_srv(&client, callid, &call);
+			tcp_listener_create_srv(&client, chandle, &call);
 			break;
 		case TCP_LISTENER_DESTROY:
-			tcp_listener_destroy_srv(&client, callid, &call);
+			tcp_listener_destroy_srv(&client, chandle, &call);
 			break;
 		case TCP_CONN_SEND_FIN:
-			tcp_conn_send_fin_srv(&client, callid, &call);
+			tcp_conn_send_fin_srv(&client, chandle, &call);
 			break;
 		case TCP_CONN_PUSH:
-			tcp_conn_push_srv(&client, callid, &call);
+			tcp_conn_push_srv(&client, chandle, &call);
 			break;
 		case TCP_CONN_RESET:
-			tcp_conn_reset_srv(&client, callid, &call);
+			tcp_conn_reset_srv(&client, chandle, &call);
 			break;
 		case TCP_CONN_SEND:
-			tcp_conn_send_srv(&client, callid, &call);
+			tcp_conn_send_srv(&client, chandle, &call);
 			break;
 		case TCP_CONN_RECV:
-			tcp_conn_recv_srv(&client, callid, &call);
+			tcp_conn_recv_srv(&client, chandle, &call);
 			break;
 		case TCP_CONN_RECV_WAIT:
-			tcp_conn_recv_wait_srv(&client, callid, &call);
+			tcp_conn_recv_wait_srv(&client, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			break;
 		}
Index: uspace/srv/net/udp/service.c
===================================================================
--- uspace/srv/net/udp/service.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/udp/service.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -335,5 +335,5 @@
  * @param icall    Async request data
  */
-static void udp_callback_create_srv(udp_client_t *client, cap_call_handle_t iid,
+static void udp_callback_create_srv(udp_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -342,10 +342,10 @@
 	async_sess_t *sess = async_callback_receive(EXCHANGE_SERIALIZE);
 	if (sess == NULL) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
 
 	client->sess = sess;
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -358,8 +358,8 @@
  * @param icall    Async request data
  */
-static void udp_assoc_create_srv(udp_client_t *client, cap_call_handle_t iid,
+static void udp_assoc_create_srv(udp_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
 	inet_ep2_t epp;
@@ -369,20 +369,20 @@
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_assoc_create_srv()");
 
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_ep2_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, &epp, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, &epp, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -390,9 +390,9 @@
 	rc = udp_assoc_create_impl(client, &epp, &assoc_id);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_1(iid, EOK, assoc_id);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_1(icall_handle, EOK, assoc_id);
 }
 
@@ -405,5 +405,5 @@
  * @param icall    Async request data
  */
-static void udp_assoc_destroy_srv(udp_client_t *client, cap_call_handle_t iid,
+static void udp_assoc_destroy_srv(udp_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -415,5 +415,5 @@
 	assoc_id = IPC_GET_ARG1(*icall);
 	rc = udp_assoc_destroy_impl(client, assoc_id);
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
@@ -426,5 +426,5 @@
  * @param icall    Async request data
  */
-static void udp_assoc_set_nolocal_srv(udp_client_t *client, cap_call_handle_t iid,
+static void udp_assoc_set_nolocal_srv(udp_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -436,5 +436,5 @@
 	assoc_id = IPC_GET_ARG1(*icall);
 	rc = udp_assoc_set_nolocal_impl(client, assoc_id);
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
@@ -447,8 +447,8 @@
  * @param icall    Async request data
  */
-static void udp_assoc_send_msg_srv(udp_client_t *client, cap_call_handle_t iid,
+static void udp_assoc_send_msg_srv(udp_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
 	inet_ep_t dest;
@@ -461,20 +461,20 @@
 	/* Receive dest */
 
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_ep_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, &dest, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, &dest, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -482,13 +482,13 @@
 	/* Receive message data */
 
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size > MAX_MSG_SIZE) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -496,12 +496,12 @@
 	data = malloc(size);
 	if (data == NULL) {
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
-	}
-
-	rc = async_data_write_finalize(callid, data, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
+	}
+
+	rc = async_data_write_finalize(chandle, data, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		free(data);
 		return;
@@ -512,10 +512,10 @@
 	rc = udp_assoc_send_msg_impl(client, assoc_id, &dest, data, size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		free(data);
 		return;
 	}
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 	free(data);
 }
@@ -545,8 +545,8 @@
  * @param icall    Async request data
  */
-static void udp_rmsg_info_srv(udp_client_t *client, cap_call_handle_t iid,
+static void udp_rmsg_info_srv(udp_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
 	udp_crcv_queue_entry_t *enext;
@@ -557,20 +557,20 @@
 	enext = udp_rmsg_get_next(client);
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (enext == NULL) {
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &enext->epp.remote,
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &enext->epp.remote,
 	    max(size, (size_t)sizeof(inet_ep_t)));
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -581,5 +581,5 @@
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_rmsg_info_srv(): assoc_id=%zu, "
 	    "size=%zu", assoc_id, size);
-	async_answer_2(iid, EOK, assoc_id, size);
+	async_answer_2(icall_handle, EOK, assoc_id, size);
 }
 
@@ -592,8 +592,8 @@
  * @param icall    Async request data
  */
-static void udp_rmsg_read_srv(udp_client_t *client, cap_call_handle_t iid,
+static void udp_rmsg_read_srv(udp_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t msg_size;
 	udp_crcv_queue_entry_t *enext;
@@ -608,13 +608,13 @@
 	enext = udp_rmsg_get_next(client);
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (enext == NULL) {
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -624,16 +624,16 @@
 
 	if (off > msg_size) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, data, min(msg_size - off, size));
-	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, data, min(msg_size - off, size));
+	if (rc != EOK) {
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_rmsg_read_srv(): OK");
 }
@@ -648,5 +648,5 @@
  * @param icall    Async request data
  */
-static void udp_rmsg_discard_srv(udp_client_t *client, cap_call_handle_t iid,
+static void udp_rmsg_discard_srv(udp_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -658,5 +658,5 @@
 	if (enext == NULL) {
 		log_msg(LOG_DEFAULT, LVL_DEBUG, "usg_rmsg_discard_srv: enext==NULL");
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -665,5 +665,5 @@
 	udp_msg_delete(enext->msg);
 	free(enext);
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -674,5 +674,5 @@
  * @param arg   Connection argument
  */
-static void udp_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void udp_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	udp_client_t client;
@@ -680,5 +680,5 @@
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_client_conn()");
@@ -691,5 +691,5 @@
 		log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_client_conn: wait req");
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
@@ -698,5 +698,5 @@
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		}
@@ -704,29 +704,29 @@
 		switch (method) {
 		case UDP_CALLBACK_CREATE:
-			udp_callback_create_srv(&client, callid, &call);
+			udp_callback_create_srv(&client, chandle, &call);
 			break;
 		case UDP_ASSOC_CREATE:
-			udp_assoc_create_srv(&client, callid, &call);
+			udp_assoc_create_srv(&client, chandle, &call);
 			break;
 		case UDP_ASSOC_DESTROY:
-			udp_assoc_destroy_srv(&client, callid, &call);
+			udp_assoc_destroy_srv(&client, chandle, &call);
 			break;
 		case UDP_ASSOC_SET_NOLOCAL:
-			udp_assoc_set_nolocal_srv(&client, callid, &call);
+			udp_assoc_set_nolocal_srv(&client, chandle, &call);
 			break;
 		case UDP_ASSOC_SEND_MSG:
-			udp_assoc_send_msg_srv(&client, callid, &call);
+			udp_assoc_send_msg_srv(&client, chandle, &call);
 			break;
 		case UDP_RMSG_INFO:
-			udp_rmsg_info_srv(&client, callid, &call);
+			udp_rmsg_info_srv(&client, chandle, &call);
 			break;
 		case UDP_RMSG_READ:
-			udp_rmsg_read_srv(&client, callid, &call);
+			udp_rmsg_read_srv(&client, chandle, &call);
 			break;
 		case UDP_RMSG_DISCARD:
-			udp_rmsg_discard_srv(&client, callid, &call);
+			udp_rmsg_discard_srv(&client, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			break;
 		}
Index: uspace/srv/ns/clonable.c
===================================================================
--- uspace/srv/ns/clonable.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/ns/clonable.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -48,5 +48,5 @@
 	service_t service;
 	iface_t iface;
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	sysarg_t arg3;
 } cs_req_t;
@@ -75,5 +75,5 @@
  */
 void register_clonable(service_t service, sysarg_t phone, ipc_call_t *call,
-    cap_call_handle_t callid)
+    cap_call_handle_t chandle)
 {
 	link_t *req_link = list_first(&cs_req);
@@ -81,5 +81,5 @@
 		/* There was no pending connection request. */
 		printf("%s: Unexpected clonable server.\n", NAME);
-		async_answer_0(callid, EBUSY);
+		async_answer_0(chandle, EBUSY);
 		return;
 	}
@@ -91,12 +91,12 @@
 	assert(csr->service == SERVICE_LOADER);
 
-	async_answer_0(callid, EOK);
+	async_answer_0(chandle, EOK);
 
 	async_sess_t *sess = async_callback_receive(EXCHANGE_SERIALIZE);
 	if (sess == NULL)
-		async_answer_0(callid, EIO);
+		async_answer_0(chandle, EIO);
 
 	async_exch_t *exch = async_exchange_begin(sess);
-	async_forward_fast(csr->callid, exch, csr->iface, csr->arg3, 0,
+	async_forward_fast(csr->chandle, exch, csr->iface, csr->arg3, 0,
 	    IPC_FF_NONE);
 	async_exchange_end(exch);
@@ -111,5 +111,5 @@
  * @param iface   Interface to be connected to.
  * @param call    Pointer to call structure.
- * @param callid  Call ID of the request.
+ * @param chandle  Call ID of the request.
  *
  * @return Zero on success or a value from @ref errno.h.
@@ -117,5 +117,5 @@
  */
 void connect_to_clonable(service_t service, iface_t iface, ipc_call_t *call,
-    cap_call_handle_t callid)
+    cap_call_handle_t chandle)
 {
 	assert(service == SERVICE_LOADER);
@@ -123,5 +123,5 @@
 	cs_req_t *csr = malloc(sizeof(cs_req_t));
 	if (csr == NULL) {
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
@@ -132,5 +132,5 @@
 	if (rc != EOK) {
 		free(csr);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -139,5 +139,5 @@
 	csr->service = service;
 	csr->iface = iface;
-	csr->callid = callid;
+	csr->chandle = chandle;
 	csr->arg3 = IPC_GET_ARG3(*call);
 
